
.progress-bar-container {
    width: 100%;
    height: 80px;
    position: relative;
    background-color: #839AAF;

}

.progressbar {
height: 30%;
position: absolute;
top: 28px;
left: 20px;
line-height: inherit;
background-color: #6AD4A6;
animation-name: addProgress;
  animation-duration: 3s;
}

.check {
    position: fixed;
    left: calc(96% - 30px);
    top: 47px;
    border: solid 10px gold;
    width: 50px;
    height: 25px;
    border-top: none;
    border-right: none;
    transform: rotate(-45deg);
    transform-origin: top left;
    animation-name: noChecked, checked;
    animation-duration: 3s, 1s;
    animation-delay: 0s, 3s; /* add this */
  }

@keyframes addProgress{
    0% {
        width: 0%;
    }
    100% {
        width: 93%;
    }
  }

  @keyframes noChecked{
    0% {
        opacity: 0;
      }
     100% {
        opacity: 0;
      }
  }

  @keyframes checked{
    0% {
        opacity: 0;
        width: 0;
        height: 0;
      }

      50% {
        opacity: 1;
        width: 0;
        height: 25px;
      }
      100% {
        opacity: 1;
        width: 50px;
      }
  }